Loading...
Searching...
No Matches
openshot::MappedFrame Struct Reference

This struct holds two fields which together make up a complete video frame. More...

`#include <FrameMapper.h>`

## Public Attributes

Field | Even
Field | Odd
SampleRange | Samples

## Detailed Description

This struct holds two fields which together make up a complete video frame.

These fields can point at different original frame numbers, for example the odd lines from frame 3, and the even lines of frame 4, if required by a pull-down technique.

Definition at line 164 of file FrameMapper.h.

## Member Data Documentation

## Even

Field openshot::MappedFrame::Even

Definition at line 167 of file FrameMapper.h.

Referenced by openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), and openshot::FrameMapper::PrintMapping().

## Odd

Field openshot::MappedFrame::Odd

Definition at line 166 of file FrameMapper.h.

Referenced by openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), and openshot::FrameMapper::PrintMapping().

## Samples

SampleRange openshot::MappedFrame::Samples

Definition at line 168 of file FrameMapper.h.

Referenced by openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), and openshot::FrameMapper::PrintMapping().

The documentation for this struct was generated from the following file:

- FrameMapper.h